com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.provider

## Class DatabaseItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.util.DatabaseAdapterFactory
    - - com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.provider.DatabaseItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class DatabaseItemProviderAdapterFactory
      extends DatabaseAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected ColumnMetadataItemProvider` | `columnMetadataItemProvider` This keeps track of the one adapter used for all `ColumnMetadata` instances
    `protected DatabaseMetadataItemProvider` | `databaseMetadataItemProvider` This keeps track of the one adapter used for all `DatabaseMetadata` instances
    `protected ForeignKeyColumnMetadataItemProvider` | `foreignKeyColumnMetadataItemProvider` This keeps track of the one adapter used for all `ForeignKeyColumnMetadata` instances
    `protected ForeignKeyMetadataItemProvider` | `foreignKeyMetadataItemProvider` This keeps track of the one adapter used for all `ForeignKeyMetadata` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected PrimaryKeyColumnMetadataItemProvider` | `primaryKeyColumnMetadataItemProvider` This keeps track of the one adapter used for all `PrimaryKeyColumnMetadata` instances
    `protected PrimaryKeyMetadataItemProvider` | `primaryKeyMetadataItemProvider` This keeps track of the one adapter used for all `PrimaryKeyMetadata` instances
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
    `protected TableMetadataItemProvider` | `tableMetadataItemProvider` This keeps track of the one adapter used for all `TableMetadata` instances

    - ### Fields inherited from class com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.util.DatabaseAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createColumnMetadataAdapter()` This creates an adapter for a `ColumnMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createDatabaseMetadataAdapter()` This creates an adapter for a `DatabaseMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createForeignKeyColumnMetadataAdapter()` This creates an adapter for a `ForeignKeyColumnMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createForeignKeyMetadataAdapter()` This creates an adapter for a `ForeignKeyMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createPrimaryKeyColumnMetadataAdapter()` This creates an adapter for a `PrimaryKeyColumnMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createPrimaryKeyMetadataAdapter()` This creates an adapter for a `PrimaryKeyMetadata`
    `org.eclipse.emf.common.notify.Adapter` | `createTableMetadataAdapter()` This creates an adapter for a `TableMetadata`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.canonicalvocabularymodel.metadata.database.util.DatabaseAdapterFactory

      `createAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### tableMetadataItemProvider

          protected TableMetadataItemProvider tableMetadataItemProvider

      This keeps track of the one adapter used for all `TableMetadata` instances.

    - #### columnMetadataItemProvider

          protected ColumnMetadataItemProvider columnMetadataItemProvider

      This keeps track of the one adapter used for all `ColumnMetadata` instances.

    - #### primaryKeyMetadataItemProvider

          protected PrimaryKeyMetadataItemProvider primaryKeyMetadataItemProvider

      This keeps track of the one adapter used for all `PrimaryKeyMetadata` instances.

    - #### foreignKeyMetadataItemProvider

          protected ForeignKeyMetadataItemProvider foreignKeyMetadataItemProvider

      This keeps track of the one adapter used for all `ForeignKeyMetadata` instances.

    - #### primaryKeyColumnMetadataItemProvider

          protected PrimaryKeyColumnMetadataItemProvider primaryKeyColumnMetadataItemProvider

      This keeps track of the one adapter used for all `PrimaryKeyColumnMetadata` instances.

    - #### foreignKeyColumnMetadataItemProvider

          protected ForeignKeyColumnMetadataItemProvider foreignKeyColumnMetadataItemProvider

      This keeps track of the one adapter used for all `ForeignKeyColumnMetadata` instances.

    - #### databaseMetadataItemProvider

          protected DatabaseMetadataItemProvider databaseMetadataItemProvider

      This keeps track of the one adapter used for all `DatabaseMetadata` instances.

  - ### Constructor Detail

    - #### DatabaseItemProviderAdapterFactory

          public DatabaseItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createTableMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createTableMetadataAdapter()

      This creates an adapter for a `TableMetadata`.
      Overrides:
        `createTableMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `TableMetadata`

    - #### createColumnMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createColumnMetadataAdapter()

      This creates an adapter for a `ColumnMetadata`.
      Overrides:
        `createColumnMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ColumnMetadata`

    - #### createPrimaryKeyMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createPrimaryKeyMetadataAdapter()

      This creates an adapter for a `PrimaryKeyMetadata`.
      Overrides:
        `createPrimaryKeyMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `PrimaryKeyMetadata`

    - #### createForeignKeyMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createForeignKeyMetadataAdapter()

      This creates an adapter for a `ForeignKeyMetadata`.
      Overrides:
        `createForeignKeyMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ForeignKeyMetadata`

    - #### createPrimaryKeyColumnMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createPrimaryKeyColumnMetadataAdapter()

      This creates an adapter for a `PrimaryKeyColumnMetadata`.
      Overrides:
        `createPrimaryKeyColumnMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `PrimaryKeyColumnMetadata`

    - #### createForeignKeyColumnMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createForeignKeyColumnMetadataAdapter()

      This creates an adapter for a `ForeignKeyColumnMetadata`.
      Overrides:
        `createForeignKeyColumnMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ForeignKeyColumnMetadata`

    - #### createDatabaseMetadataAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabaseMetadataAdapter()

      This creates an adapter for a `DatabaseMetadata`.
      Overrides:
        `createDatabaseMetadataAdapter` in class `DatabaseAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DatabaseMetadata`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `DatabaseAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.